Bug 256055 - databases/grass7 Does not configure on i386
Summary: databases/grass7 Does not configure on i386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: i386 Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-21 14:25 UTC by chris
Modified: 2021-06-19 05:11 UTC (History)
1 user (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
grass7 i386 (6.74 KB, patch)
2021-06-18 15:17 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chris 2021-05-21 14:25:58 UTC
I have cloned the master branch of grass7 from github and built from source. If I compile using gcc rather than llvm, the determination of the version
of PROJ is successful.

Any chance of a fix for this in the ports tree?

Thanks

Chris
Comment 1 Loïc Bartoletti freebsd_committer 2021-05-31 05:32:57 UTC
Hello,

Thanks. I have not tried with gcc. Have tried to build the ports with gcc, using the USE_GCC=yes variable?
Comment 2 chris 2021-05-31 07:31:24 UTC
(In reply to Loïc Bartoletti from comment #1)

Thanks. I've not tried to build from the ports tree as you suggested with USE_GCC,
and will give it a try.

Cheers

Chris
Comment 3 Loïc Bartoletti freebsd_committer 2021-06-01 04:51:20 UTC
(In reply to chris from comment #2)

With USE_GCC, we retrieve this error in pkg-plist:

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%GRASS_INST_DIR%%/bin/v.in.pdal
Error: Missing: %%GRASS_INST_DIR%%/docs/html/i.atcorr.html
Error: Missing: %%GRASS_INST_DIR%%/docs/html/r.terraflow.html
Error: Missing: %%GRASS_INST_DIR%%/docs/html/r.viewshed.html
Error: Missing: %%GRASS_INST_DIR%%/docs/html/topic_atmospheric_correction.html
Error: Missing: %%GRASS_INST_DIR%%/docs/html/topic_viewshed.html
Error: Missing: %%GRASS_INST_DIR%%/docs/html/v.in.pdal.html
Error: Missing: %%GRASS_INST_DIR%%/docs/man/man1/i.atcorr.1.gz
Error: Missing: %%GRASS_INST_DIR%%/docs/man/man1/r.terraflow.1.gz
Error: Missing: %%GRASS_INST_DIR%%/docs/man/man1/r.viewshed.1.gz
Error: Missing: %%GRASS_INST_DIR%%/docs/man/man1/topic_atmospheric_correction.1.gz
Error: Missing: %%GRASS_INST_DIR%%/docs/man/man1/topic_viewshed.1.gz
Error: Missing: %%GRASS_INST_DIR%%/docs/man/man1/v.in.pdal.1.gz
===> Error: Plist issues found.
Comment 4 Loïc Bartoletti freebsd_committer 2021-06-01 04:51:37 UTC
(In reply to Loïc Bartoletti from comment #3)
Only for i386 (tested on 12 and 13)
Comment 5 Loïc Bartoletti freebsd_committer 2021-06-18 15:17:30 UTC
Created attachment 225907 [details]
grass7 i386

Can you try this patch, please?
Comment 6 Rainer Hurling freebsd_committer 2021-06-18 17:12:57 UTC
(In reply to Loïc Bartoletti from comment #5)

Hi Loïc,

I tried your patch (thanks!) and it works fine for me :)
Comment 7 commit-hook freebsd_committer 2021-06-19 05:09:56 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d7eac4ef97beefdd5a66a41c492aba9cd45ce61a

commit d7eac4ef97beefdd5a66a41c492aba9cd45ce61a
Author:     Loïc Bartoletti <lbartoletti@FreeBSD.org>
AuthorDate: 2021-06-19 04:48:55 +0000
Commit:     Loïc Bartoletti <lbartoletti@FreeBSD.org>
CommitDate: 2021-06-19 04:48:55 +0000

    databases/grass7: unbreak on i386

    It needs GCC to configure and build grass7 on i386.
    The v.in.pdal module is not available as some documentation pages.

    PR:             256055
    Reported by:    chris@crvintel.com
    Tested by:      chris@crvintel.com

 databases/grass7/Makefile  | 12 +++++-------
 databases/grass7/pkg-plist | 26 +++++++++++++-------------
 2 files changed, 18 insertions(+), 20 deletions(-)
Comment 8 Loïc Bartoletti freebsd_committer 2021-06-19 05:11:56 UTC
Committed, thanks!